Show / Hide Table of Contents

# Interface IConnection

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IConnection

### Properties

| Improve this Doc View Source

#### Id

Gets the ID of the connection account.

##### Declaration

    string Id { get; }

##### Property Value

Type | Description
--- | ---
System.String | A System.String representing the unique identifier value of this connection.

| Improve this Doc View Source

#### IntegrationIds

Gets a System.Collections.Generic.IReadOnlyCollection<T> of integration IDs.

##### Declaration

    IReadOnlyCollection<ulong> IntegrationIds { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.UInt64> | An System.Collections.Generic.IReadOnlyCollection<T> containing System.UInt64 representations of unique identifier values of integrations.

| Improve this Doc View Source

#### IsRevoked

Gets whether the connection is revoked.

##### Declaration

    bool IsRevoked { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | A value which if true indicates that this connection has been revoked, otherwise false.

| Improve this Doc View Source

#### Name

Gets the username of the connection account.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this connection.

| Improve this Doc View Source

#### Type

Gets the service of the connection (twitch, youtube).

##### Declaration

    string Type { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this type of connection.